Subject: bug#43303: GCC package name

From: Jeffrey Walton <[email-masked]>
Date: Thu, 10 Sep 2020 07:22:50 -0400

On Thu, Sep 10, 2020 at 6:33 AM Ludovic Courtès <[email-masked]> wrote:
>
> Hi Jeffrey,
>
> Jeffrey Walton <[email-masked]> skribis:
>
> > It took me about 15 minutes to install GCC on Guix because Guix named
> > the GCC package libgccjit.
>
> I’m sorry to hear it caused you so much trouble and actually led you to
> install the “wrong” package.

Lol... Yeah, I found out libgccjit was not right either.

> > With the aliases in place, a command like 'guix install gcc' works as expected.
>
> I’ve now added such an alias:
>
>   https://git.savannah.gnu.org/cgit/guix.git/commit/?id=f17e1802ec325e5cc86d4908f05ac69aafdf39da

Perfect, thanks.

> I’ll install ‘gcc-toolchain’, which is explained here:
>
>   https://guix.gnu.org/manual/en/html_node/Application-Setup.html#The-GCC-toolchain

Thanks.

I was working from
https://guix.gnu.org/manual/en/html_node/Invoking-guix-package.html
and the search command.

Jeff